%define upstream_name    XML-LibXML
%define upstream_version 1.77

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl Binding for libxml2
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:      libxml2-devel >= 2.4.20
BuildRequires:      perl(XML::NamespaceSupport)
BuildRequires:      perl(XML::SAX)
BuildRequires:      perl-devel
BuildRoot:          %{_tmppath}/%{name}-%{version}-%{release}
Obsoletes:          perl-XML-LibXML-XPathContext
Obsoletes:          perl-XML-LibXML-Common
Requires(post):     perl-XML-SAX >= 0.11
Requires(preun):    perl-XML-SAX >= 0.11

%description
This module implements much of the DOM Level 2 API as an 
interface to the Gnome libxml2 library. This makes it a fast
and highly capable validating XML parser library, as well as
a high performance DOM.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%optflags" SKIP_SAX_INSTALL=1
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%preun -p %{__perl}
use XML::SAX;
XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%post -p %{__perl}
use XML::SAX;
XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%files
%defattr(-,root,root)
%doc Changes README example/*
%{perl_vendorarch}/auto/XML/LibXML
%{perl_vendorarch}/XML/LibXML*
%{_mandir}/*/*



%changelog
* Tue Jul 05 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.770.0-1mdv2011.0
+ Revision: 688834
- update to new version 1.77

* Sun Jun 26 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.750.0-1
+ Revision: 687357
- update to new version 1.75

* Fri Jun 24 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.740.0-1
+ Revision: 687007
- update to new version 1.74

* Thu Jun 16 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.710.0-1
+ Revision: 685637
- update to new version 1.71

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1.700.0-8
+ Revision: 667433
- mass rebuild

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.700.0-7mdv2011.0
+ Revision: 564594
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.700.0-6mdv2011.0
+ Revision: 555329
- rebuild

  + Jérôme Quelin <jquelin@mandriva.org>
    - rebuild for 5.12

* Sun May 09 2010 Funda Wang <fwang@mandriva.org> 1.700.0-4mdv2010.1
+ Revision: 544142
- bump rel to push again
- BR LibXML-Common is not needed
- obosletes LibXML-Common

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.700.0-1mdv2010.1
+ Revision: 461766
- update to 1.70

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.690.0-1mdv2010.0
+ Revision: 401497
- rebuild using %%perl_convert_version
- fixed license field

* Tue May 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.69-3mdv2010.0
+ Revision: 377765
- fix format errors instead of desactivating them

* Tue May 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.69-2mdv2010.0
+ Revision: 377732
- drop nowarning patch
- disable format error check

* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.69-1mdv2009.1
+ Revision: 302687
- update to new version 1.69

* Fri Nov 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.68-1mdv2009.1
+ Revision: 300654
- update to new version 1.68

* Wed Nov 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.67-1mdv2009.1
+ Revision: 300014
- update to new version 1.67

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.66-2mdv2009.0
+ Revision: 224628
- rebuild

* Thu Jan 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.66-1mdv2008.1
+ Revision: 160740
- update to new version 1.66

* Thu Jan 17 2008 Pixel <pixel@mandriva.com> 1.65-3mdv2008.1
+ Revision: 154119
- XML::LibXML::Reader: get rid of "v-string in use/require non-portable" warning

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.65-2mdv2008.1
+ Revision: 151316
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.65-1mdv2008.1
+ Revision: 97577
- update to new version 1.65

* Wed Sep 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.64-1mdv2008.0
+ Revision: 84684
- update to new version 1.64
- add an obsoletes on perl-XML-LibXML-XPathContext (thanks titi)

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 1.63-1mdv2008.0
+ Revision: 20684
- 1.63


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.60-1mdv2007.0
- New version 1.60

* Fri Aug 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.59-1mdv2007.0
- new version
- rpmbuildupdate aware

* Fri Feb 03 2006 Pixel <pixel@mandriva.com> 1.58-3mdk
- rebuild
- don't use make install PREFIX, added SKIP_SAX_INSTALL for makeinstall_std to work
- drop MANIFEST from doc

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.58-2mdk
- rebuild for new perl

* Sun Apr 18 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.58-1mdk
- 1.58
- use %%make macro

